Subject: Re: Why not mount / at C: ?
From: "David A. Cobb" <[email-masked]>
To: Cygwin List <[email-masked]>, Chris Faylor <[email-masked]>
Date: Wed, 30 Aug 2000 11:41:52 -0400

[Finally, the story is told]
Jean-Paul Le Fevre wrote:
> 
> Why is it discouraged to mount '/' at 'C:' ?
> The installer gives advice not to mount / at this natural location,
> while the FAQ *URGE* not to do so but without explanations.
> 
> At the beginning of August, I've installed a new release of Cygwin
> accepting the default mount : '/' on 'c:/cygwin'. As a result my environment
> is completely messed up ! I've to edit a lot of files to fix up the
> settings, being not sure when to change '/' in '\\', '/'
> in 'C:/cywin' or
> '//C/cywin', or 'C:\\cywin' or ....

Some background, from the dusty archive -

Message-ID: <[email-masked]>
Date: Sat, 05 Aug 2000 16:44:54 -0400
From: "David A. Cobb" <[email-masked]>
Subject: SOLVED! [Was: Well, now I've really done it.]
References: <[email-masked]>

I described a setup problem which appears to be caused by mounting 
root at the C:\ point.  

<QUOTE>
> (or paraphrasing) DJ:
>>  What setup are you using?
> 
> Downloaded SETUP.EXE yesterday (G 2000-08-02) from Cygwin.  Internal
> Time Date Stamp = "39877dd0".
> Used mirror at sunsite.utk.edu.
> 
> --- From Earnie again, various corrections of the error messages I
> reported.
> 
> I went back and did it all again and wrote them down more
> carefully.  Could have used a log (some future release).
> 
> 1) "error: unable to create symlink"
>   a) C://usr/include/mingw -> mingw32
>      Note- I had indicated a backslant -- it isn't.
>   b) C://lib/libc.a        -> libcygwin.a
>   c) C://lib/libg.a        -> libcygwin.a [!]
>   d) C://lib/libm.a        -> libcygwin.a [!!]
>   e) C://bin/awk.exe       -> gawk.exe
>   f) C://lib/libstdc++.a   -> libstdc++.a.2.10.0
> 
> 2) "tar: can't find %1 to link %2 to"
>   a) usr/bin/c++.exe          C://bin/g++.exe
>   b) usr/bin/gcc.exe          C://bin/i686-pc-cygwin-gcc.exe
>   c) usr/bin/logger.exe       C://bin/syslog.exe
>   d) usr/bin/ctags.exe        C://bin/etags.exe
> 
> Plus many many of both messages in the "vim" install - too many to
> write down.
> 
> At the end "Can't open (null) for writing: \n No such file or
> directory"
> 
<QUOTE/>

I gave in and changed the mounts and it worked, so I put it on the 
back burner.

At least I never saw it addressed (until today) in any of the 
setup.exe updates.  I haven't the nerve to test it right now - 
things work, I'd hate to screw them up again.

The critical thing to note is the "C://" in the MS-ized paths.  It 
seems to cause the entire setup to be written into a black hole.  
It's like having a write-only memory.  

Today's patch involving UNC names might be the solution.

[ Aside to Chris, OK, no more cross-posting ]
-- 
David A. Cobb, Software Engineer, Public Access Advocate
"Don't buy or use crappy software"
"By the grace of God I am a Christian man, 
 by my actions a great sinner" -- The Way of a Pilgrim [R. M. French,
tr.]

--
Want to unsubscribe from this list?
Send a message to [email-masked]